*, ::before, ::after{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    list-style-type: none;
}
body{
    height: 100vh;
    background-color:  rgb(30,30,30);
}

/*------------------------------------------------Login--------------------------------------------------*/
.parent {
    height: 90vh;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(5, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    text-align: center;
}

.blocLogin { 
    grid-area: 1 / 3 / 5 / 4; 
    margin-top: 10%;
} 
.logo{
    width: 30%;
    min-width: 100px;
    max-height: auto;
    border-radius: 30%;

} 
.blocLogin h2{
    color: whitesmoke;
    font-size: 20px;
    font-weight: bolder;
    margin-bottom: 5%;
    margin-top: 5%;
}

.connexion a{
    text-decoration: none;
    color: whitesmoke;
    font-size: 10px;
}
.connexion p :hover{
    color: rgb(255,153,0);
}
input{
    background-color: rgb(30,30,30);
    color: whitesmoke;
    border: none;
    border-bottom: solid 2px whitesmoke;
    padding-bottom: 4%;
    width: 300px;
}
input:focus{
    outline: none;
}
input::placeholder{
    text-align: right;
}
.icon{
    width: 30px;
    height: 30px;
    margin-right: 2%;
}
.mail, .password, .nom, .prenom{
    display: flex;
    justify-content: center;
    margin-bottom: 10%;
}
hr{
    color: white;
}
.btn{
    width: 300px;
}
.mention{
    color: whitesmoke;
    font-size: 9px;
    text-align: justify;
    margin-top: 2%;
}
/*------------------------------------------------Inscription--------------------------------------------------*/
.blocItem{
    width: 50px;
}
.confirmInscription, .champsIncomplets{
    text-align: center;
    color: whitesmoke;
}

/*------------------------------------------------Footer--------------------------------------------------*/

footer{
    color: whitesmoke;
    display: flex;
    justify-content: center;
    gap: 10%;
    margin-top: 2%;
}
footer p {
    font-size: 12px;
}
footer a{
    color: whitesmoke;
    text-decoration: none;
}
footer p :hover{
    color: rgb(255,153,0);
}